rte_eth_ip_reassembly_params(3)

NAME
rte_eth_ip_reassembly_params

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

uint32_t timeout_ms
uint16_t max_frags
uint16_t flags

Detailed Description

A structure used to get/set IP reassembly configuration. It is also used to get the maximum capability values that a PMD can support.

If rte_eth_ip_reassembly_capability_get() returns 0, IP reassembly can be enabled using rte_eth_ip_reassembly_conf_set() and params values lower than capability params can be set in the PMD.

Definition at line 5871 of file rte_ethdev.h.

Field Documentation

  uint32_t timeout_ms
Maximum time in ms which PMD can wait for other fragments.

Definition at line 5873 of file rte_ethdev.h.

  uint16_t max_frags
Maximum number of fragments that can be reassembled.

Definition at line 5875 of file rte_ethdev.h.

  uint16_t flags
Flags to enable reassembly of packet types - RTE_ETH_DEV_REASSEMBLY_F_xxx.

Definition at line 5880 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.